petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMDestroy

Destroys a vector packer or DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMDestroy(DM *dm)

Collective on dm

### Input Parameter

| dm | - the DM object to destroy

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/plex/tutorials/ex1.c.html
src/dm/impls/plex/tutorials/ex2.c.html
src/dm/impls/plex/tutorials/ex5.c.html
src/dm/impls/plex/tutorials/ex6.c.html
src/dm/impls/plex/tutorials/ex7.c.html
src/dm/impls/plex/tutorials/ex8.c.html
src/dm/impls/plex/tutorials/ex9.c.html
src/dm/impls/plex/tutorials/ex1f90.F90.html
src/dm/impls/plex/tutorials/ex3f90.F90.html
src/dm/impls/plex/tutorials/ex4f90.F90.html
src/dm/impls/forest/tutorials/ex1.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages